# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring specific app values (TO CHANGE)
bin_name_string = "wireguard-amd64-%s.msi"
silent_args = "DO_NOT_LAUNCH=1"


def install():
    # Specific app values
    package_version = control.get_software_version()

    # Adding "WireGuard LLC" as trusted driver signer
    with disable_file_system_redirection():
        run('"%s" -addstore TrustedPublisher "%s"' % (makepath(system32, "certutil.exe"), makepath(basedir, "wireguard-drivers.cer")))

    # Installing the package
    install_msi_if_needed(
        bin_name_string % package_version,
        properties=silent_args,
        min_version=package_version,
    )
